[@rxap/forms](../wiki/globals) / FormControlMarkTouchedDirective

# Class: FormControlMarkTouchedDirective

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:11](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts#L11)

## Constructors

### new FormControlMarkTouchedDirective()

> **new FormControlMarkTouchedDirective**(`parent`): [`FormControlMarkTouchedDirective`](../wiki/Class.FormControlMarkTouchedDirective)

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:13](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts#L13)

#### Parameters

##### parent

`ControlContainer`

#### Returns

[`FormControlMarkTouchedDirective`](../wiki/Class.FormControlMarkTouchedDirective)

## Methods

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts#L17)

#### Returns

`void`
